import request from '@/utils/request'

// 查询巡检标准信息列表
export function listDmsBaseInspectStandard(query) {
  return request({
    url: '/dms/dmsBaseInspectStandard/list',
    method: 'get',
    params: query
  })
}

// 查询巡检标准信息详细
export function getDmsBaseInspectStandard(inspectStandardId) {
  return request({
    url: '/dms/dmsBaseInspectStandard/' + inspectStandardId,
    method: 'get'
  })
}

// 新增巡检标准信息
export function addDmsBaseInspectStandard(data) {
  return request({
    url: '/dms/dmsBaseInspectStandard',
    method: 'post',
    data: data
  })
}

// 修改巡检标准信息
export function updateDmsBaseInspectStandard(data) {
  return request({
    url: '/dms/dmsBaseInspectStandard',
    method: 'put',
    data: data
  })
}

// 删除巡检标准信息
export function delDmsBaseInspectStandard(inspectStandardId) {
  return request({
    url: '/dms/dmsBaseInspectStandard/' + inspectStandardId,
    method: 'delete'
  })
}
